View Single Post
Old 07-11-08, 08:52 AM   #1
jocover
Registered User
 
Join Date: Mar 2008
Posts: 1
Default EVGA Precision 1.2.0

System requirements:
Windows XP32/64 or Vista32/64
EVGA 6, 7, 8, 9 and GTX 200 series graphics card
(for GTX 200 series, version 1.2.0 is located on the installation CD)
Forceware 96.xx or higher drivers

http://rapidshare.com/files/12889186...1.2.0.zip.html
jocover is offline   Reply With Quote